﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamRibbonComboEditorToolStyleCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            string[] names = "Andrew;Alex;Jen;Steve;Liz;Valerie;Mike".Split(';');

            for (int i = 0; i < names.Length; i++)
            {
                if (i % 4 == 0)
                {
                    Data.Add(new SampleData()
                    {
                        ImageSource = "Images/SMILEY.jpg",
                        Name = names[i]
                    });
                }
                else if (i % 4 == 1)
                {
                    Data.Add(new SampleData()
                    {
                        ImageSource = "Images/Arrow.png",
                        Name = names[i]
                    });
                }
                else if (i % 4 == 2)
                {
                    Data.Add(new SampleData()
                    {
                        ImageSource = "Images/Star1.jpg",
                        Name = names[i]
                    });
                }
                else
                {
                    Data.Add(new SampleData()
                    {
                        ImageSource = "Images/wp.jpg",
                        Name = names[i]
                    });
                }
            }
        }
    }

    public class SampleData
    {
        public string ImageSource { get; set; }
        public string Name { get; set; }
    }
}
